<?php

namespace App\Filament\Membre\Resources\Annonces\Pages;

use App\Filament\Membre\Resources\Annonces\AnnonceResource;
use Filament\Resources\Pages\CreateRecord;

class CreateAnnonce extends CreateRecord
{
    protected static string $resource = AnnonceResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data['user_id'] = auth()->id();
        $data['statut'] = \App\Enums\StatutAnnonce::EnAttentePaiement;

        return $data;
    }
}